[Fai-commit] r6425 - in branches/stable: . 3.4/conf lib

Michael Prokop mika at alioth.debian.org
Fri Apr 15 18:08:21 UTC 2011


Author: mika
Date: 2011-04-15 18:08:10 +0000 (Fri, 15 Apr 2011)
New Revision: 6425

Added:
   branches/stable/lib/
   branches/stable/lib/get-config-dir-http
Modified:
   branches/stable/3.4/conf/fai.conf
Log:
get-config-dir-http: new script to get a tarball of the config space

Thanks: Waldemar Brodkorb for the initial patch

(cherry picked from commit 7b8d98b98ecab904524633443239048ec4067f4b)

Conflicts:

	3.4/debian/NEWS
	3.4/debian/changelog

Modified: branches/stable/3.4/conf/fai.conf
===================================================================
--- branches/stable/3.4/conf/fai.conf	2011-04-15 17:46:33 UTC (rev 6424)
+++ branches/stable/3.4/conf/fai.conf	2011-04-15 18:08:10 UTC (rev 6425)
@@ -6,7 +6,7 @@
 # If undefined here, make-fai-nfsroot/fai-setup will use default value
 # nfs://<install server>/$FAI_CONFIGDIR
 # supported URL-types: nfs, file, cvs, cvs+ssh, svn+file, svn+http,
-# git, git+http, hg+http
+# git, git+http, hg+http, tarball via http
 #FAI_CONFIG_SRC=nfs://yourservername/path/to/config/space
 
 # LOGUSER: an account on the install server which saves all log-files

Added: branches/stable/lib/get-config-dir-http
===================================================================
--- branches/stable/lib/get-config-dir-http	                        (rev 0)
+++ branches/stable/lib/get-config-dir-http	2011-04-15 18:08:10 UTC (rev 6425)
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# $Id$
+#*********************************************************************
+#
+# get-config-dir-http -- get a tarball of the config dir
+#
+# This script is part of FAI (Fully Automatic Installation)
+# Copyright (C) 2000-2010 Thomas Lange, lange at informatik.uni-koeln.de
+# Universitaet zu Koeln
+#
+#*********************************************************************
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#*********************************************************************
+
+### BEGIN SUBROUTINE INFO
+# Provides-Var:
+# Requires-Var:  $FAI_CONFIG_SRC $FAI
+# Suggests-Var:
+# Short-Description: get config space via http
+### END SUBROUTINE INFO
+
+fdir=/var/lib/fai
+
+cd $fdir
+
+# determine basename of tar file to download (later used as class name)
+file=${FAI_CONFIG_SRC##*/}
+base=${file%%.*}
+
+# get md5sum first
+if wget -q -t5 -O $fdir/$file.md5 ${FAI_CONFIG_SRC}.md5; then
+   echo "Checksum file $file.md5 successfully downloaded."
+else
+   echo "Checksum file ${FAI_CONFIG_SRC}.md5 failed to download. Aborting."
+   task_error 701
+fi
+
+# now download tarball of config space
+echo -n "Getting configuration space tarball from $FAI_CONFIG_SRC ..."
+wget -q -t 3 $FAI_CONFIG_SRC && echo "done"
+task_error 702 $?
+
+# check the md5 sum
+md5sum -c $file.md5 || echo "Checksum mismatch "
+task_error 703 $?
+
+# extraxt the downloaded file using ftar. Therefore define a class
+# basename of the file
+echo "extracting config space from $file"
+ftar -c $base -t $FAI -s $fdir .




More information about the Fai-commit mailing list